Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job
Class JobConfiguration

    java.lang.Object
      org.pentaho.di.job.JobConfiguration

    public class JobConfiguration

extends Object

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`JobConfiguration(JobMeta jobMeta, JobExecutionConfiguration jobExecutionConfiguration)`
`JobConfiguration(Node configNode)`

Method Summary
`static JobConfiguration` | `fromXML(String xml)`
`JobExecutionConfiguration` | `getJobExecutionConfiguration()`
`JobMeta` | `getJobMeta()`
`String` | `getXML()`
`void` | `setJobExecutionConfiguration(JobExecutionConfiguration jobExecutionConfiguration)`
`void` | `setJobMeta(JobMeta jobMeta)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### JobConfiguration

    public JobConfiguration(JobMeta jobMeta,
                            JobExecutionConfiguration jobExecutionConfiguration)

Parameters:
  `jobMeta` -
  `jobExecutionConfiguration` -

### JobConfiguration

    public JobConfiguration(Node configNode)
                     throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### getXML

    public String getXML()
                  throws IOException

  Throws:
    `IOException`

### fromXML

    public static final JobConfiguration fromXML(String xml)
                                          throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getJobExecutionConfiguration

    public JobExecutionConfiguration getJobExecutionConfiguration()

  Returns:
    the jobExecutionConfiguration

### setJobExecutionConfiguration

    public void setJobExecutionConfiguration(JobExecutionConfiguration jobExecutionConfiguration)

  Parameters:
    `jobExecutionConfiguration` - the jobExecutionConfiguration to set

### getJobMeta

    public JobMeta getJobMeta()

  Returns:
    the job metadata

### setJobMeta

    public void setJobMeta(JobMeta jobMeta)

  Parameters:
    `jobMeta` - the job meta data to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD